A couple issues upon upgrade to beta

I just upgraded from build 558 to 824 beta. I had an existing test project called "depot". I got these errors after the upgrade:

1. When trying to run a Rails app: "Error running Development: Rails gem isn't activated in Gem Manager for module 'depot'."

2. Red blinking IDE error: "IDE Fatal Errors: Only one Ruby on Rails facet per module allowed, but 2 facets found in module depot".

If you need the error dump let me know. I'm still troubleshooting, but was thinking that maybe someone could nudge me in the right direction.

OS: WinXP SP3

Thanks,
Steve



3 comments
Comment actions Permalink

I have the second issue also.I just clear the error messages after IDE start every time,and it works well.

0
Comment actions Permalink

Hi N0NS3QUiTUR, wu junchen,

You can recreate project settings in RubyMine 824 format. For this:
1. Close your RubyMine.
2. Backup ".idea" folder which is located in your project's root directory
3. Delete ".idea"
4. Open RubyMine
5. File | Open Directory..
6. Than RM will recreate project settings, automatically attach rails gem

0
Comment actions Permalink

Thanks Roman! It works perfectly now.

0

Please sign in to leave a comment.